void  vga_waitretrace ( void ) 
{
 	int i[2];
 	i[0] = VGA_START_COMMAND;
 	i[1] =  0 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 }

void  vga_disabledriverreport ( void ) 
{
 	int i[2];
 	i[0] = VGA_START_COMMAND;
 	i[1] =  1 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 }

void  vga_lockvc ( void ) 
{
 	int i[2];
 	i[0] = VGA_START_COMMAND;
 	i[1] =  2 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 }

void  vga_unlockvc ( void ) 
{
 	int i[2];
 	i[0] = VGA_START_COMMAND;
 	i[1] =  3 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 }

void  vga_blitwait ( void ) 
{
 	int i[2];
 	i[0] = VGA_START_COMMAND;
 	i[1] =  4 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 }

int  vga_clear ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  5 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_flip ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  6 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getxdim ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  7 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getydim ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  8 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getcolors ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  9 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_screenoff ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  10 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_screenon ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  11 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getch ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  12 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_dumpregs ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  13 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getdefaultmode ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  14 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getcurrentmode ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  15 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getcurrentchipset ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  16 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_lastmodenumber ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  17 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_setmodeX ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  18 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getmousetype ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  19 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getmonitortype ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  20 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_getkey ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  21 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_oktowrite ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  22 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_white ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  23 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int  vga_runinbackground_version ( void ) 
 {
 	int i[2];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  24 ;
 	write(pipe_fd[1], i, 8);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

void vga_setpage ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  25 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_setreadpage ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  26 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_setwritepage ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  27 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_setlogicalwidth ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  28 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_setdisplaystart ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  29 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_setmousesupport ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  30 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_setchipset ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  31 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_showcursor ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  32 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_selectcursor ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  33 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

void vga_dpms ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  34 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 }

int vga_setmode ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  35 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_hasmode ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  36 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_setflipchar ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  37 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_setcolor ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  38 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_claimvideomemory ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  39 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_setegacolor ( int x0 ) 
 {
 	int i[3];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  40 ;
 	i[2] = x0;
 	write(pipe_fd[1], i, 12);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_setpalette ( int x0, int x1, int x2, int x3 ) 
 {
 	int i[6];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  41 ;
 	i[2] = x0;
 	i[3] = x1;
 	i[4] = x2;
 	i[5] = x3;
 	write(pipe_fd[1], i, 24);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_drawline ( int x0, int x1, int x2, int x3 ) 
 {
 	int i[6];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  42 ;
 	i[2] = x0;
 	i[3] = x1;
 	i[4] = x2;
 	i[5] = x3;
 	write(pipe_fd[1], i, 24);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

int vga_guesstiming ( int x0, int x1, int x2, int x3 ) 
 {
 	int i[6];
 
 	i[0] = VGA_START_COMMAND;
 	i[1] =  43 ;
 	i[2] = x0;
 	i[3] = x1;
 	i[4] = x2;
 	i[5] = x3;
 	write(pipe_fd[1], i, 24);
 	communicate();
 	read(pipe_fd[0], i, 4);
 	return i[0];
 }

#define N_AGENFUN  44
